Package com.io7m.waxmill.xml.vm.v1

# Class WXM1E1000NetworkDeviceParser

java.lang.Object
com.io7m.waxmill.xml.vm.v1.WXM1E1000NetworkDeviceParser

All Implemented Interfaces:
  `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMDeviceE1000>`

    public final class WXM1E1000NetworkDeviceParser
    extends java.lang.Object
    implements com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMDeviceE1000>

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WXM1E1000NetworkDeviceParser()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Map<com.io7m.blackthorne.api.BTQualifiedName,​com.io7m.blackthorne.api.BTElementHandlerConstructorType<?,​?>>` | `onChildHandlersRequested​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |
  `void` | `onChildValueProduced​(com.io7m.blackthorne.api.BTElementParsingContextType context, java.lang.Object result)` |
  `WXMDeviceE1000` | `onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.blackthorne.api.BTElementHandlerType

  `map, name, onCharacters, onElementStart, onShouldIgnoreUnrecognizedElements`

- ## Constructor Details

  - ### WXM1E1000NetworkDeviceParser

    public WXM1E1000NetworkDeviceParser()

- ## Method Details

  - ### onChildHandlersRequested

    public java.util.Map<com.io7m.blackthorne.api.BTQualifiedName,​com.io7m.blackthorne.api.BTElementHandlerConstructorType<?,​?>> onChildHandlersRequested​(com.io7m.blackthorne.api.BTElementParsingContextType context)
    Specified by:
      `onChildHandlersRequested` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMDeviceE1000>`

  - ### onChildValueProduced

    public void onChildValueProduced​(com.io7m.blackthorne.api.BTElementParsingContextType context, java.lang.Object result)
    Specified by:
      `onChildValueProduced` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMDeviceE1000>`

  - ### onElementFinished

    public WXMDeviceE1000 onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)
    Specified by:
      `onElementFinished` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMDeviceE1000>`